/*
 * %kadu copyright begin%
 * Copyright 2014 Rafał Przemysław Malinowski (rafal.przemyslaw.malinowski@gmail.com)
 * %kadu copyright end%
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "gui/widgets/account-configuration-widget-factory.h"

#include <QtCore/QPointer>
#include <injeqt/injeqt.h>

class OtrPolicyService;

class OtrAccountConfigurationWidgetFactory : public QObject, public AccountConfigurationWidgetFactory
{
	Q_OBJECT

public:
	Q_INVOKABLE OtrAccountConfigurationWidgetFactory() {}
	virtual ~OtrAccountConfigurationWidgetFactory();

	virtual AccountConfigurationWidget * createWidget(const Account &account, QWidget *parent);

private slots:
	INJEQT_SETTER void setPolicyService(OtrPolicyService *policyService);

private:
	QPointer<OtrPolicyService> PolicyService;

};
